Skip to main content
`Ctrl`+`K`

# VecSetLocalToGlobalMapping

Sets a local numbering to global numbering used by the routine `VecSetValuesLocal()` to allow users to insert vector entries using a local (per-processor) numbering.

## Synopsis

    #include "petscvec.h"
    PetscErrorCode VecSetLocalToGlobalMapping(Vec x, ISLocalToGlobalMapping mapping)

Logically Collective

## Input Parameters

- x - vector

- mapping - mapping created with `ISLocalToGlobalMappingCreate()` or `ISLocalToGlobalMappingCreateIS()`

## Notes

All vectors obtained with `VecDuplicate()` from this vector inherit the same mapping.

Vectors obtained with `DMCreateGlobaVector()` will often have this attribute attached to the vector so this call is not needed

## See Also

Vectors and Parallel Data, `Vec`, `VecAssemblyBegin()`, `VecAssemblyEnd()`, `VecSetValues()`, `VecSetValuesLocal()`, `VecGetLocalToGlobalMapping()`, `VecSetValuesBlockedLocal()`

## Level

intermediate

## Location

src/vec/vec/interface/vector.c

## Examples

src/vec/vec/tutorials/ex8f.F90
src/ksp/ksp/tutorials/ex71.c
src/vec/vec/tutorials/ex8.c

Index of all Vec routines
Table of Contents for all manual pages
Index of all manual pages